Package org.opensaml.security.x509

# Interface PKIXValidationInformationResolver

All Superinterfaces:
  `Resolver<PKIXValidationInformation,CriteriaSet>`

All Known Implementing Classes:
  `StaticPKIXValidationInformationResolver`

public interface PKIXValidationInformationResolver extends Resolver<PKIXValidationInformation,CriteriaSet>
A resolver which uses `Criterion` to resolve `PKIXValidationInformation`, which will typically be used by PKIX-based trust engines. Implementations must also implement `resolveTrustedNames(CriteriaSet)`, which will return a set of trusted names associated with the entity implied by the criteria. These trusted names may be used to validate (in an application-specific manner) that an entity is trusted to wield a particular certificate.

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`resolveTrustedNames(CriteriaSet criteriaSet)`
Resolve a set of trusted names associated with the entity indicated by the criteria.
`boolean`
`supportsTrustedNameResolution()`
Check whether resolution of trusted names is supported.

### Methods inherited from interface net.shibboleth.shared.resolver.Resolver

`resolve, resolveSingle`

## Method Details

### resolveTrustedNames

@Nonnull @Unmodifiable @NotLive Set<String> resolveTrustedNames(@Nullable CriteriaSet criteriaSet) throws ResolverException
Resolve a set of trusted names associated with the entity indicated by the criteria. This method is optional to implement.

Parameters:
  `criteriaSet` - set of criteria used to determine or resolve the trusted names
Returns:
  the set of certificate names trusted for an entity
Throws:
  `ResolverException` - thrown if there is an error resolving the trusted names
  `UnsupportedOperationException` - thrown if this optional method is not supported by the implementation

### supportsTrustedNameResolution

boolean supportsTrustedNameResolution()
Check whether resolution of trusted names is supported.

Returns:
  true if the implementation supports resolution of trusted names, otherwise false